Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QAccessibleBridge Class Reference

The QAccessibleBridge class is the base class for accessibility back-ends. More...

     #include <QAccessibleBridge>

- List of all members, including inherited members

## Public Functions

virtual | ~QAccessibleBridge ()
virtual void | notifyAccessibilityUpdate ( int reason, QAccessibleInterface * interface, int child ) = 0
virtual void | setRootObject ( QAccessibleInterface * object ) = 0

## Detailed Description

The QAccessibleBridge class is the base class for accessibility back-ends.

Qt supports Microsoft Active Accessibility (MSAA), Mac OS X Accessibility, and the Unix/X11 AT-SPI standard. By subclassing QAccessibleBridge, you can support other backends than the predefined ones.

Currently, custom bridges are only supported on Unix. We might add support for them on other platforms as well if there is enough demand.

See also QAccessible and QAccessibleBridgePlugin.

## Member Function Documentation

### QAccessibleBridge::~QAccessibleBridge ()`[virtual]`

Destroys the accessibility bridge object.

### void QAccessibleBridge::notifyAccessibilityUpdate ( int reason, QAccessibleInterface * interface, int child )`[pure virtual]`

This function is called by Qt to notify the bridge about a change in the accessibility information for object wrapped by the given interface.

reason specifies the cause of the change. It can take values of type QAccessible::Event.

child is the (1-based) index of the child element that has changed. When child is 0, the object itself has changed.

See also QAccessible::updateAccessibility().

### void QAccessibleBridge::setRootObject ( QAccessibleInterface * object )`[pure virtual]`

This function is called by Qt at application startup to set the root accessible object of the application to object. All other accessible objects in the application can be reached by the client using object navigation.